classification
Title: decide what to do with gettext API
Type: enhancement Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barry, benjamin.peterson, gvanrossum
Priority: release blocker Keywords: patch

Created on 2008-03-29 22:08 by benjamin.peterson, last changed 2008-07-14 14:33 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
gettext_api.patch benjamin.peterson, 2008-03-29 22:18
gettext_api2.patch benjamin.peterson, 2008-05-01 20:50
Messages (5)
msg64733 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-29 22:08
The gettext module currently has functions and methods beginning with
"u" to designate functions which return unicode objects. The install
function/method also has a "unicode" parameter. These are obviously
useless in Py3k. The attached patch removes the u prefixed functions and
and unicode parameters. Docs updates are included.

PS. If you're interested, the Bazaar branch I developed this on is at
http://code.python.org/python/users/benjamin.peterson/py3k_gettext_api/.
msg66039 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-05-01 20:05
This patch doesn't apply cleanly. :-(
msg66043 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-01 20:50
I've pushed a fresh branch and am attaching a new patch.
msg68800 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-06-26 20:50
This is something that should definitely happen before beta 2.
msg69656 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-14 14:33
done in r64947.
History
Date User Action Args
2008-07-14 14:33:47benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg69656
2008-06-26 20:50:39benjamin.petersonsetpriority: critical -> release blocker
messages: + msg68800
2008-05-01 20:50:39benjamin.petersonsetfiles: + gettext_api2.patch
messages: + msg66043
2008-05-01 20:05:29gvanrossumsetnosy: + gvanrossum
messages: + msg66039
2008-03-29 22:18:56benjamin.petersonsetfiles: + gettext_api.patch
2008-03-29 22:08:31benjamin.petersoncreate